# bson_iter_init_find_case()

## Synopsis

    bool
    bson_iter_init_find_case (bson_iter_t *iter,
                              const bson_t *bson,
                              const char *key);

## Parameters

- `iter`: A bson_iter_t.

- `bson`: A bson_t.

- `key`: A key to locate after initializing the iter.

## Description

This function is identical to `bson_iter_init() && bson_iter_find_case()`.

See also

bson_iter_init()
bson_iter_init_find()
bson_iter_init_find_case()
bson_iter_init_from_data()